Bug 174980 - kernel don't manages the intel sata IDE controller
kernel don't manages the intel sata IDE controller
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 06:39 EST by winproof
Modified: 2013-07-02 22:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:52:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description winproof 2005-12-05 06:39:23 EST
+++ This bug was initially created as a clone of Bug #169852 +++

Description of problem:
When booting the system, the kernel boots and checks a lot of devices, but it
can't mount the "/" partition.

Version-Release number of selected component (if applicable):

kernel 2.6.13-1.1526__FC4

How reproducible:
Installing the kernel and booting with it.

Steps to Reproduce:
1. Install kernel 2.6.13-1.1526_FC4
2. Boot the system with this kernel
3.
  
Actual results:
kernel panic. Can't mount the reiserfs "/" partition

Expected results:
normal boot of the system, like with the previous kernel.

Additional info:

IDE controler:
00:1f.2 IDE interface: Intel Corp. 82801EB (ICH5) SATA Controller (rev 02)

My box has only one SATA disk, and one DVD unit. No normal ATA disks are
connected. I think it's a problem with the ata_piix controller. With the
previous kernel it worked right

-- Additional comment from felix@mail.cyberfenix.net on 2005-10-05 13:53 EST --
Manual transcription of the screen output during boot:

ata: 0x1f0 IDE port busy
ata: 0x170 IDE port busy
ata_piix: probe of 000:00:1f.2 failed with error -16

Loading reiserfs.ko module
Creating root device
Mounting root filesystem
mount: error 6 mounting reiserfs

-- Additional comment from davej@redhat.com on 2005-10-06 03:44 EST --
booting with hda=noprobe should work around this for now


-- Additional comment from felix@mail.cyberfenix.net on 2005-10-06 13:21 EST --
Yes, booting with hda=noprobe the kernel booted right

-- Additional comment from ccb@acm.org on 2005-10-14 11:31 EST --

is there a fix on the way?  I've got racks full of Dells that have this problem

Thanks,
ccb

-- Additional comment from moreyv@kelkoo.net on 2005-10-14 11:58 EST --
Hello,
same problem for a lot of GX620, with the 2.6.12-1.1378_FC3, no news?
Thanks

-- Additional comment from philip@lembobrothers.com on 2005-11-04 10:50 EST --
Additional report:

Running FC3 (kernel 2.6.9-1.667.i386 on Dell GX620 with SATA set to
"Combination" mode. Unable to upgrade kernel because results in panic on reboot.
System complains that ide ports already in use.

Same result with 2.6.12-1.1381_FC3.i686 kernel. hda=noprobe does not help.

Unable to try 2.6.10 or 2.6.11 because no archive available for those series.



-- Additional comment from davej@redhat.com on 2005-11-04 19:54 EST --
2.6.13-1.1532_FC4 should have this fixed.


-- Additional comment from felix@mail.cyberfenix.net on 2005-11-05 01:32 EST --
Yes, with the 2.6.13-1.1532_FC4 kernel, the problem is fixed

Problem unsolved for FC3,help please!
Comment 1 Dave Jones 2005-12-07 00:59:00 EST
This should be fixed in 2.6.12-1.1380_FC3 and higher.
It has the same patch that fixed the problem on FC4.
Comment 2 Dave Jones 2006-01-16 17:38:10 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 3 Dave Jones 2006-02-03 02:34:25 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-05 10:52:58 EDT
Closing per last comment.

Note You need to log in before you can comment on or make changes to this bug.